function lding = CalcLoadings(r,f)
[V,D] = svd(r); % singular value decomposition
D = D(1:f,1:f); % eigenvalues
V = V(:,1:f); % eigenvectors
lding = V * sqrt(D); % the loadings are the eigenvectors multiplied by the square root of the eigenvalues

