% Figure 1
disp('Creating Figure 1')
figure(); hold on
for Cn = 1:2
    Data = strc.Vehicle(2).sub(39).cond(2).Sections.(Exp.Context{Cn});
    for i = 1:length(Data)
            %plot(Data{i}.GPS_Longitude,Data{i}.GPS_Latitude)
            dotsize=25;
            colormap(jet)
            patch([Data{i}.GPS_Longitude;nan],[Data{i}.GPS_Latitude;nan],[Data{i}.GPS_Altitude;nan],[Data{i}.GPS_Altitude;nan],'FaceColor','none','EdgeColor','interp')
            %view(3)
            %scatter3(Data{i}.GPS_Longitude, Data{i}.GPS_Latitude,Data{i}.GPS_Altitude, dotsize, Data{i}.GPS_Altitude, 'filled')
            plot(Data{i}.GPS_Longitude(1),Data{i}.GPS_Latitude(1),'*g','MarkerSize',12)
            plot(Data{i}.GPS_Longitude(end),Data{i}.GPS_Latitude(end),'*r','MarkerSize',12)
    end
end

h = colorbar;
h.Label.String = 'Altitude (m)';
colormap jet

xlims = [1.28 1.33];
ylims = [49.174 49.195];
xlim(xlims)
ylim(ylims)
xlabel('Longitude ({\circ})')
ylabel('Latitude ({\circ})')
fig=gcf;set(findall(fig,'-property','FontName'),'FontName','Arial','Fontsize',11)